<?php
 
function mod_quote($module_id){
 
        $inCore = cmsCore::getInstance(); // подключаем ядро
        $inDB   = cmsDatabase::getInstance(); // подключаем базу
        $inUser = cmsUser::getInstance(); //подключаем пользователей
	    $cfg = $inCore->loadModuleConfig($module_id); //подключаем конфиг модуля
 
        global $_LANG; //подключаем языковой файл
 
		$userid   = $inUser->id;  //id пользователя
		$login    = $inUser->login;  //логин пользователя
		$nickname = $inUser->nickname;  //никнейм пользователя

 
		//код модуля
$orderby   = $cfg['orderby'];
$limit     = $cfg['limit'];
$justnow   = date('Y-m-d H:i:s');
$dateendno = "0000-00-00 00:00:00";
// исправил запрос на предмет бессрочной публикации 
$sql = "SELECT * FROM cms_quote
                WHERE mod_id = $module_id AND published = 1 AND date <= '$justnow' AND (dateend > '$justnow' OR dateend < '$dateendno' OR no_end = 1)
				ORDER BY $orderby
				LIMIT $limit
				";
$result = $inDB->query($sql);


		if ($inDB->num_rows($result)){

			$quote = array();					
			while($con = $inDB->fetch_assoc($result)){
				$next = sizeof($quote);				
				$quote[$next]['id']           = $con['id'];
				$quote[$next]['title']        = $con['title'];
				$quote[$next]['text']         = $con['text'];
				$quote[$next]['source']       = $con['source'];
				$quote[$next]['link']         = $con['link'];
				$quote[$next]['date']         = $con['date'];
				$quote[$next]['dateend']      = $con['dateend'];
				$quote[$next]['ordering']     = $con['ordering'];
			}

		}





        // передаем в шаблон переменные
        $smarty = $inCore->initSmarty('modules', 'mod_quote.tpl');
        $smarty->assign('LANG', $_LANG); // языковая переменная
        $smarty->assign('quote', $quote);
	    $smarty->assign('cfg', $cfg);
        $smarty->display('mod_quote.tpl');
 
		return true;
 
}
?>